Ignore:
Timestamp:
Mar 11, 2008 3:36:47 PM (15 years ago)
Author:
gah
Message:

More Makefile cleanup

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/vizservers/configure

    r916 r940  
    669669CXXFLAGS
    670670ac_ct_CXX
    671 SUBDIRS
    672671CXXCPP
    673672GREP
    674673EGREP
     674SUBDIRS
    675675TCL_LIB_DIR
    676676TCL_LIB
     
    32723272
    32733273
    3274 SUBDIRS="nanoscale nanovis pymolproxy"
    3275 
    3276 
    3277 
    3278 # Check whether --with-tcllib was given.
    3279 if test "${with_tcllib+set}" = set; then
    3280   withval=$with_tcllib; with_tcllib=$withval
    3281 else
    3282   with_tcllib=/usr/lib
    3283 fi
    3284 
    3285 
    3286 TCL_LIB_DIR=""
    3287 TCL_LIB=""
    3288 TCL_LIB_VERSION=""
    3289 { echo "$as_me:$LINENO: checking for tcl binary libraries" >&5
    3290 echo $ECHO_N "checking for tcl binary libraries... $ECHO_C" >&6; }
    3291 if test "x$with_tcllib" != "x" ; then
    3292     if test -f "$with_tcllib"
    3293     then
    3294         if test -n `basename $with_tcllib | grep libtcl0-9\.0-9.so`
    3295         then
    3296             TCL_LIB_DIR="$with_tcllib"
    3297         fi
    3298     else
    3299         if test -d "$with_tcllib"
    3300         then
    3301             if test -x "$with_tcllib/`ls $with_tcllib | grep libtcl0-9\.0-9\.so$`"
    3302             then
    3303                 TCL_LIB_DIR="$with_tcllib"
    3304             else
    3305                 { echo "$as_me:$LINENO: result: no" >&5
    3306 echo "${ECHO_T}no" >&6; }
    3307                 { { echo "$as_me:$LINENO: error: cannot find tcl binary libraries, try using --with-tcllib" >&5
    3308 echo "$as_me: error: cannot find tcl binary libraries, try using --with-tcllib" >&2;}
    3309    { (exit 1); exit 1; }; }
    3310             fi
    3311         else
    3312             { echo "$as_me:$LINENO: result: no" >&5
    3313 echo "${ECHO_T}no" >&6; }
    3314             { { echo "$as_me:$LINENO: error: cannot find tcl binary libraries inside $with_tcllib, try using --with-tcllib" >&5
    3315 echo "$as_me: error: cannot find tcl binary libraries inside $with_tcllib, try using --with-tcllib" >&2;}
    3316    { (exit 1); exit 1; }; }
    3317         fi
    3318     fi
    3319 else
    33203274
    33213275ac_ext=cpp
     
    39513905
    39523906
     3907{ echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
     3908echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6; }
     3909if test "${ac_cv_c_bigendian+set}" = set; then
     3910  echo $ECHO_N "(cached) $ECHO_C" >&6
     3911else
     3912  # See if sys/param.h defines the BYTE_ORDER macro.
     3913cat >conftest.$ac_ext <<_ACEOF
     3914/* confdefs.h.  */
     3915_ACEOF
     3916cat confdefs.h >>conftest.$ac_ext
     3917cat >>conftest.$ac_ext <<_ACEOF
     3918/* end confdefs.h.  */
     3919#include <sys/types.h>
     3920#include <sys/param.h>
     3921
     3922int
     3923main ()
     3924{
     3925#if  ! (defined BYTE_ORDER && defined BIG_ENDIAN && defined LITTLE_ENDIAN \
     3926        && BYTE_ORDER && BIG_ENDIAN && LITTLE_ENDIAN)
     3927 bogus endian macros
     3928#endif
     3929
     3930  ;
     3931  return 0;
     3932}
     3933_ACEOF
     3934rm -f conftest.$ac_objext
     3935if { (ac_try="$ac_compile"
     3936case "(($ac_try" in
     3937  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     3938  *) ac_try_echo=$ac_try;;
     3939esac
     3940eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     3941  (eval "$ac_compile") 2>conftest.er1
     3942  ac_status=$?
     3943  grep -v '^ *+' conftest.er1 >conftest.err
     3944  rm -f conftest.er1
     3945  cat conftest.err >&5
     3946  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3947  (exit $ac_status); } && {
     3948         test -z "$ac_cxx_werror_flag" ||
     3949         test ! -s conftest.err
     3950       } && test -s conftest.$ac_objext; then
     3951  # It does; now see whether it defined to BIG_ENDIAN or not.
     3952cat >conftest.$ac_ext <<_ACEOF
     3953/* confdefs.h.  */
     3954_ACEOF
     3955cat confdefs.h >>conftest.$ac_ext
     3956cat >>conftest.$ac_ext <<_ACEOF
     3957/* end confdefs.h.  */
     3958#include <sys/types.h>
     3959#include <sys/param.h>
     3960
     3961int
     3962main ()
     3963{
     3964#if BYTE_ORDER != BIG_ENDIAN
     3965 not big endian
     3966#endif
     3967
     3968  ;
     3969  return 0;
     3970}
     3971_ACEOF
     3972rm -f conftest.$ac_objext
     3973if { (ac_try="$ac_compile"
     3974case "(($ac_try" in
     3975  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     3976  *) ac_try_echo=$ac_try;;
     3977esac
     3978eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     3979  (eval "$ac_compile") 2>conftest.er1
     3980  ac_status=$?
     3981  grep -v '^ *+' conftest.er1 >conftest.err
     3982  rm -f conftest.er1
     3983  cat conftest.err >&5
     3984  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3985  (exit $ac_status); } && {
     3986         test -z "$ac_cxx_werror_flag" ||
     3987         test ! -s conftest.err
     3988       } && test -s conftest.$ac_objext; then
     3989  ac_cv_c_bigendian=yes
     3990else
     3991  echo "$as_me: failed program was:" >&5
     3992sed 's/^/| /' conftest.$ac_ext >&5
     3993
     3994        ac_cv_c_bigendian=no
     3995fi
     3996
     3997rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
     3998else
     3999  echo "$as_me: failed program was:" >&5
     4000sed 's/^/| /' conftest.$ac_ext >&5
     4001
     4002        # It does not; compile a test program.
     4003if test "$cross_compiling" = yes; then
     4004  # try to guess the endianness by grepping values into an object file
     4005  ac_cv_c_bigendian=unknown
     4006  cat >conftest.$ac_ext <<_ACEOF
     4007/* confdefs.h.  */
     4008_ACEOF
     4009cat confdefs.h >>conftest.$ac_ext
     4010cat >>conftest.$ac_ext <<_ACEOF
     4011/* end confdefs.h.  */
     4012short int ascii_mm[] = { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 };
     4013short int ascii_ii[] = { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 };
     4014void _ascii () { char *s = (char *) ascii_mm; s = (char *) ascii_ii; }
     4015short int ebcdic_ii[] = { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 };
     4016short int ebcdic_mm[] = { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 };
     4017void _ebcdic () { char *s = (char *) ebcdic_mm; s = (char *) ebcdic_ii; }
     4018int
     4019main ()
     4020{
     4021 _ascii (); _ebcdic ();
     4022  ;
     4023  return 0;
     4024}
     4025_ACEOF
     4026rm -f conftest.$ac_objext
     4027if { (ac_try="$ac_compile"
     4028case "(($ac_try" in
     4029  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     4030  *) ac_try_echo=$ac_try;;
     4031esac
     4032eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     4033  (eval "$ac_compile") 2>conftest.er1
     4034  ac_status=$?
     4035  grep -v '^ *+' conftest.er1 >conftest.err
     4036  rm -f conftest.er1
     4037  cat conftest.err >&5
     4038  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4039  (exit $ac_status); } && {
     4040         test -z "$ac_cxx_werror_flag" ||
     4041         test ! -s conftest.err
     4042       } && test -s conftest.$ac_objext; then
     4043  if grep BIGenDianSyS conftest.$ac_objext >/dev/null ; then
     4044  ac_cv_c_bigendian=yes
     4045fi
     4046if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then
     4047  if test "$ac_cv_c_bigendian" = unknown; then
     4048    ac_cv_c_bigendian=no
     4049  else
     4050    # finding both strings is unlikely to happen, but who knows?
     4051    ac_cv_c_bigendian=unknown
     4052  fi
     4053fi
     4054else
     4055  echo "$as_me: failed program was:" >&5
     4056sed 's/^/| /' conftest.$ac_ext >&5
     4057
     4058
     4059fi
     4060
     4061rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
     4062else
     4063  cat >conftest.$ac_ext <<_ACEOF
     4064/* confdefs.h.  */
     4065_ACEOF
     4066cat confdefs.h >>conftest.$ac_ext
     4067cat >>conftest.$ac_ext <<_ACEOF
     4068/* end confdefs.h.  */
     4069$ac_includes_default
     4070int
     4071main ()
     4072{
     4073
     4074  /* Are we little or big endian?  From Harbison&Steele.  */
     4075  union
     4076  {
     4077    long int l;
     4078    char c[sizeof (long int)];
     4079  } u;
     4080  u.l = 1;
     4081  return u.c[sizeof (long int) - 1] == 1;
     4082
     4083  ;
     4084  return 0;
     4085}
     4086_ACEOF
     4087rm -f conftest$ac_exeext
     4088if { (ac_try="$ac_link"
     4089case "(($ac_try" in
     4090  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     4091  *) ac_try_echo=$ac_try;;
     4092esac
     4093eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     4094  (eval "$ac_link") 2>&5
     4095  ac_status=$?
     4096  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4097  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
     4098  { (case "(($ac_try" in
     4099  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     4100  *) ac_try_echo=$ac_try;;
     4101esac
     4102eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     4103  (eval "$ac_try") 2>&5
     4104  ac_status=$?
     4105  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4106  (exit $ac_status); }; }; then
     4107  ac_cv_c_bigendian=no
     4108else
     4109  echo "$as_me: program exited with status $ac_status" >&5
     4110echo "$as_me: failed program was:" >&5
     4111sed 's/^/| /' conftest.$ac_ext >&5
     4112
     4113( exit $ac_status )
     4114ac_cv_c_bigendian=yes
     4115fi
     4116rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
     4117fi
     4118
     4119
     4120fi
     4121
     4122rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
     4123fi
     4124{ echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
     4125echo "${ECHO_T}$ac_cv_c_bigendian" >&6; }
     4126case $ac_cv_c_bigendian in
     4127  yes)
     4128
     4129cat >>confdefs.h <<\_ACEOF
     4130#define WORDS_BIGENDIAN 1
     4131_ACEOF
     4132 ;;
     4133  no)
     4134     ;;
     4135  *)
     4136    { { echo "$as_me:$LINENO: error: unknown endianness
     4137presetting ac_cv_c_bigendian=no (or yes) will help" >&5
     4138echo "$as_me: error: unknown endianness
     4139presetting ac_cv_c_bigendian=no (or yes) will help" >&2;}
     4140   { (exit 1); exit 1; }; } ;;
     4141esac
     4142
     4143
     4144SUBDIRS="nanoscale nanovis pymolproxy"
     4145
     4146
     4147
     4148# Check whether --with-tcllib was given.
     4149if test "${with_tcllib+set}" = set; then
     4150  withval=$with_tcllib; with_tcllib=$withval
     4151else
     4152  with_tcllib=/usr/lib
     4153fi
     4154
     4155
     4156TCL_LIB_DIR=""
     4157TCL_LIB=""
     4158TCL_LIB_VERSION=""
     4159{ echo "$as_me:$LINENO: checking for tcl binary libraries" >&5
     4160echo $ECHO_N "checking for tcl binary libraries... $ECHO_C" >&6; }
     4161if test "x$with_tcllib" != "x" ; then
     4162    if test -f "$with_tcllib"
     4163    then
     4164        if test -n `basename $with_tcllib | grep libtcl0-9\.0-9.so`
     4165        then
     4166            TCL_LIB_DIR="$with_tcllib"
     4167        fi
     4168    else
     4169        if test -d "$with_tcllib"
     4170        then
     4171            if test -x "$with_tcllib/`ls $with_tcllib | grep libtcl0-9\.0-9\.so$`"
     4172            then
     4173                TCL_LIB_DIR="$with_tcllib"
     4174            else
     4175                { echo "$as_me:$LINENO: result: no" >&5
     4176echo "${ECHO_T}no" >&6; }
     4177                { { echo "$as_me:$LINENO: error: cannot find tcl binary libraries, try using --with-tcllib" >&5
     4178echo "$as_me: error: cannot find tcl binary libraries, try using --with-tcllib" >&2;}
     4179   { (exit 1); exit 1; }; }
     4180            fi
     4181        else
     4182            { echo "$as_me:$LINENO: result: no" >&5
     4183echo "${ECHO_T}no" >&6; }
     4184            { { echo "$as_me:$LINENO: error: cannot find tcl binary libraries inside $with_tcllib, try using --with-tcllib" >&5
     4185echo "$as_me: error: cannot find tcl binary libraries inside $with_tcllib, try using --with-tcllib" >&2;}
     4186   { (exit 1); exit 1; }; }
     4187        fi
     4188    fi
     4189else
    39534190
    39544191for ac_header in tcl.h
     
    45244761
    45254762
    4526 ac_config_files="$ac_config_files Makefile nanoscale/Makefile nanovis/Makefile nanovis/newmat11/Makefile nanovis/R2/src/Makefile nanovis/imgLoaders/Makefile pymolproxy/Makefile start_viz.sh"
     4763ac_config_files="$ac_config_files Makefile nanoscale/Makefile nanovis/Makefile nanovis/newmat11/Makefile nanovis/R2/src/Makefile nanovis/imgLoaders/Makefile nanovis/transfer-function/Makefile pymolproxy/Makefile start_viz.sh"
    45274764
    45284765cat >confcache <<\_ACEOF
     
    51005337    "nanovis/R2/src/Makefile") CONFIG_FILES="$CONFIG_FILES nanovis/R2/src/Makefile" ;;
    51015338    "nanovis/imgLoaders/Makefile") CONFIG_FILES="$CONFIG_FILES nanovis/imgLoaders/Makefile" ;;
     5339    "nanovis/transfer-function/Makefile") CONFIG_FILES="$CONFIG_FILES nanovis/transfer-function/Makefile" ;;
    51025340    "pymolproxy/Makefile") CONFIG_FILES="$CONFIG_FILES pymolproxy/Makefile" ;;
    51035341    "start_viz.sh") CONFIG_FILES="$CONFIG_FILES start_viz.sh" ;;
     
    52165454CXXFLAGS!$CXXFLAGS$ac_delim
    52175455ac_ct_CXX!$ac_ct_CXX$ac_delim
    5218 SUBDIRS!$SUBDIRS$ac_delim
    52195456CXXCPP!$CXXCPP$ac_delim
    52205457GREP!$GREP$ac_delim
    52215458EGREP!$EGREP$ac_delim
     5459SUBDIRS!$SUBDIRS$ac_delim
    52225460TCL_LIB_DIR!$TCL_LIB_DIR$ac_delim
    52235461TCL_LIB!$TCL_LIB$ac_delim
Note: See TracChangeset for help on using the changeset viewer.